﻿using System.Globalization;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// NOT NULL 검증 규칙
    /// </summary>
    public class NotNullValidationRule : ValidationRule
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 검증하기 - Validate(value, cultureInfo)

        /// <summary>
        /// 검증하기
        /// </summary>
        /// <param name="value">값</param>
        /// <param name="cultureInfo">문화 정보</param>
        /// <returns>검증 결과</returns>
        public override ValidationResult Validate(object value, CultureInfo cultureInfo)
        {
            string text = value as string;

            if(!string.IsNullOrEmpty(text))
            {
                return ValidationResult.ValidResult;
            }
            else
            {
                return new ValidationResult(false, "값이 null이면 안됩니다.");
            }
        }

        #endregion
    }
}